\documentclass[10pt]{book}

\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{geometry}
\usepackage{graphicx}
\usepackage[pdfa=true]{hyperref}
\usepackage{cite}
\usepackage{listings}
\usepackage[printonlyused,withpage]{acronym}
\usepackage{siunitx}
\usepackage{multirow}
\usepackage{setspace}
\usepackage[table]{xcolor}
\usepackage{listings}
\usepackage{tabularx}
\usepackage{marvosym}

% OWN packages
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{wrapfig}
\usepackage{cleveref}
\usepackage{ntheorem}
\usepackage[ruled, vlined, linesnumbered]{algorithm2e}
\usepackage{tkz-graph}
\usepackage{minted}
\usepackage{multicol}
\usepackage{caption}
\usepackage{mathtools}
\usepackage{booktabs}



%--- pdf/a format ----
% insert metadata about the document here
\RequirePackage{filecontents}
\begin{filecontents*}{\jobname.xmpdata}
\Title{Bachelor thesis}
\Author{Robin William hundt}
\Language{en-US}
\Subject{The abstract, or short description.}
\Keywords{keyword1\sep keyword2\sep keyword3}
\end{filecontents*}
\usepackage{colorprofiles}
\usepackage[a-1b,mathxmp]{pdfx}[2018/12/22]
\usepackage[T1]{fontenc}
\hypersetup{pdfstartview=}


%
% This is the official thesis template of
% the Institute of Computer Science at the
% Georg-August-University of Göttingen
%
%      author: kellner@cs.uni-goettingen.de
% last update: 17/02/2015
%
% If you find any sort of mistake please let me know
% so that it can be fixed in future releases.
%


%--- include custom commands ---
\input{common/commands}

%--- include general configuration ---
\input{common/config}


%--- basic document configuration ---
\newcommand{\mytype}{Bachelor's Thesis}
%\newcommand{\mytype}{Master's Thesis}

\newcommand{\mycourse}{Applied Computer Science}
%\newcommand{\mycourse}{Internet Technologies and Information Systems}

\newcommand{\mytitle}{Multiple sequence alignment based on spaced-word matches}
\newcommand{\myauthor}{Robin William Hundt}
\newcommand{\mydepartment}{Institute of Computer Science}
\newcommand{\mysubmissiondate}{08. June 2020}
\newcommand{\mythesisid}{201x-xx} %assigned by examination office
\newcommand{\myfirstsupervisor}{Prof. Dr. Burkhard Morgenstern}
\newcommand{\mysecondsupervisor}{Dr. Peter Meinicke}


\theoremstyle{break}
\newtheorem{mydef}{Definition}[section]
\newtheorem{mylemma}{Lemma}[section]
\newtheorem{mytheorem}{Theorem}[section]


\begin{document}

 \pagenumbering{roman}
    \setcounter{page}{1}

   %--- cover page ---
   \input{content/coverpage}
   \myemptypage

    %--- statement page ---
    \input{content/statement}
    \myemptypage

    %--- abstract ---
    \clearpage\phantomsection\pdfbookmark{\abstractname}{abstract}
    \thispagestyle{empty}
    \input{content/abstract}
    \myemptypage

    %reset acronyms after abstract
    \acresetall

    %--- table of contents ---
    \clearpage\phantomsection\pdfbookmark{\contentsname}{toc}
    \tableofcontents
    \myemptypage

    %--- list of figures ---
    %\listoffigures
    %\myemptypage

    %--- list of tables ---
    %\listoftables
    %\myemptypage

    %--- list of listings ---
    %\lstlistoflistings
    %\myemptypage

    %--- list of acronyms ---
    %\input{content/acronyms}
    %\myemptypage


    %arabic page numbers
    \pagenumbering{arabic}
    \setcounter{page}{1}
    
    %--- chaper 1..n ---
    \input{content/introduction}

    \input{content/basics}

    \input{content/prior_work}

    \input{content/algorithm}

    \input{content/implementation}

    \input{content/evaluation}

    \input{content/conclusion}
    \myemptypage

    %--- references ---
    \bibliographystyle{IEEEtran}
    \bibliography{content/references}
    \addcontentsline{toc}{chapter}{\bibname}
    \myemptypage

    %--- appendix ---
    \begin{appendix}
        \input{content/appendix_a}
        \myemptypage
    \end{appendix}
    
\end{document}